#!/usr/bin/perl -w

use strict;
use Mail::Mailer;

my $message_file = shift || 'message.html';      # HTML file to use as message
my $recepients_file = shift || 'recepients.txt'; # Recepients' names and emails
# Edit headers as you like.
my %headers = (
				'From' => 'Me Here <me@here.com>',
				'Subject' => 'Read this HTML message',
				'Content-Type' => 'text/html',
			);

# Glue message lines into one
my $message = '';
open (MSG, "<$message_file")
	or die "Can't open message file: $!\n";
while (my $line = <MSG>) {
	$message .= $line;
}
close(MSG);

# Send message for each recepient
open (DEST, "<$recepients_file")
	or die "Can't open recepients file: $!\n";
while (my $line = <DEST>) {
	chomp($line);
	my ($name,$email) = split(/,\s*/, $line,2);
	$headers{'To'} = "$name <$email>";

	# my $mailer = Mail::Mailer->new('smtp',server=>'smtp.x.com')
	my $mailer = Mail::Mailer->new('sendmail')
		or die "Can't initialize mailer: $!\n";
	$mailer->open(\%headers)
		or die "Problems opening mailer: $!\n";

	print $mailer $message;
	$mailer->close;
}
close(DEST);
